Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatBoostSource

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatBoostSource

Direct Known Subclasses:
  `TdApi.ChatBoostSourceGiftCode`, `TdApi.ChatBoostSourceGiveaway`, `TdApi.ChatBoostSourcePremium`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.ChatBoostSource extends TdApi.Object permits TdApi.ChatBoostSourceGiftCode, TdApi.ChatBoostSourceGiveaway, TdApi.ChatBoostSourcePremium
This class is an abstract base class. Describes source of a chat boost.

## Constructor Summary

Constructors
Constructor
Description
`ChatBoostSource()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChatBoostSource

public ChatBoostSource()
Default class constructor.